%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_CDAR_0p110
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_CDAR_0p110.zip'
%Run program 'problem_CDAR_0p110.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_CDAR_0p110_data.mat')
%Define input arguments:
string2 = {'cdar_dev'};
w2 = {0.95};

%Solve optimization problems:
[xout, fval, status, output] = riskconstrprog([], string2, [], [], [], [], w2, H2, [], [], d, r, [], [], [], [], lb, ub);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cdar_dev= %g', output.frval2))
%Display linear component of objective:
disp('linear component of objective:');
disp(output.fdval);
%Display optimal point:
disp('optimal point = ');
disp(xout');
